<?php
/**
 * Custom Widgets
 *
 * @since 1.0.0
 */

if( ! function_exists( 'greenturtle_mag_tab_content' ) ) :
	/**
     * Register and load widgets.
     *
     * @since 1.0.0
     */
	function greenturtle_mag_tab_content() {

		/*
			Main Feature Widget Register
		*/
		register_widget( 'Greenturtle_Mag_tab_content' );

	}
endif;
add_action( 'widgets_init', 'greenturtle_mag_tab_content' );

if( ! class_exists( 'Greenturtle_Mag_tab_content' ) ) :
	/**
	 * Main Highlight
	 *
	 * @since 1.0.0
	 */
	class Greenturtle_Mag_tab_content extends WP_Widget
	{
		
		function __construct()
		{
			$opts = array(
				'classname' => '',
				'description'	=> esc_html__( 'Displays Feature posts. Place it in "Front Page Widget Area " widget area.', 'greenturtle-mag' )
			);
			parent::__construct( 'greenturtle-mag-tab-content', esc_html__( 'GTL Tab ', 'greenturtle-mag' ), $opts );
		}

		function form( $instance ) {
			$cat_1 = ! empty( $instance[ 'cat_1' ] ) ? $instance[ 'cat_1' ] : absint( 0 );
            $cat_2 = ! empty( $instance[ 'cat_2' ] ) ? $instance[ 'cat_2' ] : absint( 0 );
            $cat_3 = ! empty( $instance[ 'cat_3' ] ) ? $instance[ 'cat_3' ] : absint( 0 );
			
		
			?>
		<p>
                <label for="<?php echo esc_attr( $this->get_field_id( 'cat_1' ) )?>"><strong><?php echo esc_html__( 'Feature  Posts: ', 'greenturtle-mag' ); ?></strong></label>
                <?php
                    $cat_args_1 = array(
                        'orderby'   => 'name',
                        'hide_empty'    => 0,
                        'id'    => $this->get_field_id( 'cat_1' ),
                        'name'  => $this->get_field_name( 'cat_1' ),
                        'class' => 'widefat',
                        'taxonomy'  => 'category',
                        'selected'  => absint( $cat_1 ),
                        'show_option_all'   => esc_html__( 'Choose Category', 'greenturtle-mag' )
                    );
                    wp_dropdown_categories( $cat_args_1 );
                ?>
            </p>

            <p>
                <label for="<?php echo esc_attr( $this->get_field_id( 'cat_2' ) )?>"><strong><?php echo esc_html__( 'Feature  Post: ', 'greenturtle-mag' ); ?></strong></label>
                <?php
                    $cat_args_1 = array(
                        'orderby'   => 'name',
                        'hide_empty'    => 0,
                        'id'    => $this->get_field_id( 'cat_2' ),
                        'name'  => $this->get_field_name( 'cat_2' ),
                        'class' => 'widefat',
                        'taxonomy'  => 'category',
                        'selected'  => absint( $cat_2 ),
                        'show_option_all'   => esc_html__( 'Choose Category', 'greenturtle-mag' )
                    );
                    wp_dropdown_categories( $cat_args_1 );
                ?>
            </p>
             <p>
                <label for="<?php echo esc_attr( $this->get_field_id( 'cat_3' ) )?>"><strong><?php echo esc_html__( 'Feature  Post: ', 'greenturtle-mag' ); ?></strong></label>
                <?php
                    $cat_args_1 = array(
                        'orderby'   => 'name',
                        'hide_empty'    => 0,
                        'id'    => $this->get_field_id( 'cat_3' ),
                        'name'  => $this->get_field_name( 'cat_3' ),
                        'class' => 'widefat',
                        'taxonomy'  => 'category',
                        'selected'  => absint( $cat_3 ),
                        'show_option_all'   => esc_html__( 'Choose Category', 'greenturtle-mag' )
                    );
                    wp_dropdown_categories( $cat_args_1 );
                ?>
            </p>
			<?php
		}

		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;

			$instance[ 'cat_1' ] = absint( $new_instance[ 'cat_1' ] );
            $instance[ 'cat_2' ] = absint( $new_instance[ 'cat_2' ] );
            $instance[ 'cat_3' ] = absint( $new_instance[ 'cat_3' ] );  
		

			return $instance;
		}

		function widget( $args, $instance ) {
			$cat_1 = ! empty( $instance[ 'cat_1' ] ) ? $instance[ 'cat_1' ] : absint( 1 );
            $cat_2 = ! empty( $instance[ 'cat_2' ] ) ? $instance[ 'cat_2' ] : absint( 1 );
            $cat_3 = ! empty( $instance[ 'cat_3' ] ) ? $instance[ 'cat_3' ] : absint( 1 );
		
      		
		?>
		
	
		<section id="greenturtle_mag_sidebar_tab_post-2" class="widget widget_greenturtle_mag_sidebar_tab_post">           <div class="tabs-container">
        <ul class="tabs-menu">
            <li class="current"><a href="#gtl-tab-one"><?php echo esc_attr(get_the_category_by_ID( $cat_1 )); ?></a></li>
            <li><a href="#gtl-tab-two"><?php echo esc_attr(get_the_category_by_ID( $cat_2 )); ?></a></li>
            <li><a href="#gtl-tab-three"><?php echo esc_attr(get_the_category_by_ID( $cat_3 )); ?></a></li>
        </ul>
        <div class="tab">
            <div id="gtl-tab-one" class="tab-content first-tab">

                <ul class="col-md-12  news-list">
                 <?php
                    $arg = array(
                        'cat'               => absint( $cat_1 ),
                        'posts_per_page'    => 5,
                        'post_type'         => 'post',
                        'post__not_in'=>get_option("sticky_posts") 
                    );
                    $query = new WP_Query( $arg );
                    if( $query->have_posts() ) :
                        while( $query->have_posts() ) :
                            $query->the_post();
                ?>
                    <li class="news-item clearfix">
                        <div class="col-md-3 col-sm-3 col-xs-3 news-thumb">
                            <a href="<?php the_permalink(); ?>" class="news-item-thumb">
                                 <?php
                                    if( has_post_thumbnail() ) :
                                        the_post_thumbnail('thumbnail');
                                   elseif(esc_attr(get_theme_mod('fallback_setting_enable'))=="enable"):
                                                    $image_url= esc_attr(get_theme_mod('greenturtle_fallback_image_setting'));
                                                    $image_id = pippin_get_image_id($image_url);
                                                    $image_thumb = wp_get_attachment_image_src($image_id, 'thumbnail');
                                                    echo "<img src='".$image_thumb[0]."' alt=''>";
                                                    
                                endif;

                                ?>
                            </a>
                        </div><!-- .news-thumb -->
                        <div class="col-md-9 col-xs-9 col-sm-9 news-content">
                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                            <div class="date"><?php echo  esc_attr(get_the_date()); ?></div>
                        </div><!-- .news-content -->
                    </li>
                     <?php
                        endwhile;
                        wp_reset_postdata();
                    endif;
                ?>
                </ul><!-- .news-list -->



            </div>
            <div id="gtl-tab-two" class="tab-content second-tab">

               <ul class="col-md-12  news-list">
                 <?php
                    $arg = array(
                        'cat'               => absint( $cat_2 ),
                        'posts_per_page'    => 5,
                        'post_type'         => 'post',
                        'post__not_in'=>get_option("sticky_posts") 
                    );
                    $query = new WP_Query( $arg );
                    if( $query->have_posts() ) :
                        while( $query->have_posts() ) :
                            $query->the_post();
                ?>
                    <li class="news-item clearfix">
                        <div class="col-md-3 col-sm-3 col-xs-3 news-thumb">
                            <a href="<?php the_permalink(); ?>" class="news-item-thumb">
                                 <?php
                                    if( has_post_thumbnail() ) :
                                        the_post_thumbnail('thumbnail');
                                    elseif(esc_attr(get_theme_mod('fallback_setting_enable'))=="enable"):
                                                    $image_url= esc_attr(get_theme_mod('greenturtle_fallback_image_setting'));
                                                    $image_id = pippin_get_image_id($image_url);
                                                    $image_thumb = wp_get_attachment_image_src($image_id, 'thumbnail');
                                                    echo "<img src='".$image_thumb[0]."' alt=''>";
                                                    
                                endif;


                                ?>
                            </a>
                        </div><!-- .news-thumb -->
                        <div class="col-md-9 col-xs-9 col-sm-9 news-content">
                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                            <div class="date"><?php echo  esc_attr(get_the_date()); ?></div>
                        </div><!-- .news-content -->
                    </li>
                     <?php
                        endwhile;
                        wp_reset_postdata();
                    endif;
                ?>
                </ul><!-- .news-list -->



            </div>
             <div id="gtl-tab-three" class="tab-content second-tab">

               <ul class="col-md-12  news-list">
                 <?php
                    $arg = array(
                        'cat'               => absint( $cat_3 ),
                        'posts_per_page'    => 5,
                        'post_type'         => 'post',
                        'post__not_in'=>get_option("sticky_posts") 
                    );
                    $query = new WP_Query( $arg );
                    if( $query->have_posts() ) :
                        while( $query->have_posts() ) :
                            $query->the_post();
                ?>
                    <li class="news-item clearfix">
                        <div class="col-md-3 col-sm-3 col-xs-3 news-thumb">
                            <a href="<?php the_permalink(); ?>" class="news-item-thumb">
                                 <?php
                                    if( has_post_thumbnail() ) :
                                        the_post_thumbnail('thumbnail');
                                    elseif(esc_attr(get_theme_mod('fallback_setting_enable'))=="enable"):
                                                    $image_url= esc_attr(get_theme_mod('greenturtle_fallback_image_setting'));
                                                    $image_id = pippin_get_image_id($image_url);
                                                    $image_thumb = wp_get_attachment_image_src($image_id, 'thumbnail');
                                                    echo "<img src='".$image_thumb[0]."' alt=''>";
                                                    
                                endif;


                                ?>
                            </a>
                        </div><!-- .news-thumb -->
                        <div class="col-md-9 col-xs-9 col-sm-9 news-content">
                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                            <div class="date"><?php echo  esc_attr(get_the_date()); ?></div>
                        </div><!-- .news-content -->
                    </li>
                     <?php
                        endwhile;
                        wp_reset_postdata();
                    endif;
                ?>
                </ul><!-- .news-list -->
            </div>

        </div>
    </div>
</section>
	<?php 
			
		}
	}
endif; 
?>